# Interface methods for submodule: QuasiNewtonOptimizerv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GradientDescentOptimizerv4TemplateProxy as _GradientDescentOptimizerv4TemplateProxy


# Interface methods for class: QuasiNewtonOptimizerv4
class QuasiNewtonOptimizerv4Proxy(_GradientDescentOptimizerv4TemplateProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def SetMaximumIterationsWithoutProgress(self, _arg: int) -> None:
		""""""
		...

	def SetMaximumNewtonStepSizeInPhysicalUnits(self, _arg: float) -> None:
		""""""
		...

	def GetNewtonStep(self) -> Sequence[float]:
		""""""
		...

	def EstimateNewtonStepOverSubRange(self, subrange: Sequence[int]) -> None:
		""""""
		...

